diff --git a/android/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTestSuiteBuilder.java
index ef7917b..cabdcb4 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.testers.CollectionAddAllTester;
 import com.google.common.collect.testing.testers.CollectionAddTester;
 import com.google.common.collect.testing.testers.CollectionClearTester;
@@ -42,7 +41,6 @@ import java.util.List;
  *
  * @author George van den Driessche
  */
-@GwtIncompatible
 public abstract class AbstractCollectionTestSuiteBuilder<
         B extends AbstractCollectionTestSuiteBuilder<B, E>, E>
     extends PerCollectionSizeTestSuiteBuilder<B, TestCollectionGenerator<E>, Collection<E>, E> {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTester.java b/android/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTester.java
index c5191be..0dd364b 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collection;
 import org.junit.Ignore;
 
@@ -26,7 +25,6 @@ import org.junit.Ignore;
  * @param <E> the element type of the collection to be tested.
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractCollectionTester<E>
     extends AbstractContainerTester<Collection<E>, E> {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/AbstractContainerTester.java b/android/guava-testlib/src/com/google/common/collect/testing/AbstractContainerTester.java
index a5674d3..5d5e20f 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/AbstractContainerTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/AbstractContainerTester.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.OverridingMethodsMustInvokeSuper;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -33,7 +31,6 @@ import org.junit.Ignore;
  * @param <E> the type of the container's contents
  * @author George van den Driessche
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractContainerTester<C, E>
     extends AbstractTester<OneSizeTestContainerGenerator<C, E>> {
@@ -41,7 +38,6 @@ public abstract class AbstractContainerTester<C, E>
   protected C container;
 
   @Override
-  @OverridingMethodsMustInvokeSuper
   public void setUp() throws Exception {
     super.setUp();
     samples = this.getSubjectGenerator().samples();
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/AbstractIteratorTester.java b/android/guava-testlib/src/com/google/common/collect/testing/AbstractIteratorTester.java
index 5e6a583..8c1846f 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/AbstractIteratorTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/AbstractIteratorTester.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static junit.framework.Assert.assertEquals;
 import static junit.framework.Assert.fail;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -40,7 +39,6 @@ import junit.framework.AssertionFailedError;
  * @author Kevin Bourrillion
  * @author Chris Povirk
  */
-@GwtCompatible
 abstract class AbstractIteratorTester<E, I extends Iterator<E>> {
   private Stimulus<E, ? super I>[] stimuli;
   private final Iterator<E> elementsToInsert;
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/AbstractMapTester.java b/android/guava-testlib/src/com/google/common/collect/testing/AbstractMapTester.java
index 090442e..db966b7 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/AbstractMapTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/AbstractMapTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collection;
 import java.util.Iterator;
 import java.util.List;
@@ -35,7 +34,6 @@ import org.junit.Ignore;
  * @param <V> the value type of the map to be tested.
  * @author George van den Driessche
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractMapTester<K, V>
     extends AbstractContainerTester<Map<K, V>, Entry<K, V>> {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/AbstractTester.java b/android/guava-testlib/src/com/google/common/collect/testing/AbstractTester.java
index dc1e1a0..b15ec06 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/AbstractTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/AbstractTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /**
@@ -30,7 +29,6 @@ import junit.framework.TestCase;
  *     parameterize the test.
  * @author George van den Driessche
  */
-@GwtCompatible
 public class AbstractTester<G> extends TestCase {
   private G subjectGenerator;
   private String suiteName;
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/AnEnum.java b/android/guava-testlib/src/com/google/common/collect/testing/AnEnum.java
index 1d35795..5200e9e 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/AnEnum.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/AnEnum.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * A sample enumerated type we use for testing.
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public enum AnEnum {
   A,
   B,
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/BaseComparable.java b/android/guava-testlib/src/com/google/common/collect/testing/BaseComparable.java
index 3847709..780f909 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/BaseComparable.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/BaseComparable.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 
 /**
@@ -24,7 +23,6 @@ import java.io.Serializable;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class BaseComparable implements Comparable<BaseComparable>, Serializable {
   private final String s;
 
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/CollectionTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/CollectionTestSuiteBuilder.java
index 5f9aff4..627e8ca 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/CollectionTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/CollectionTestSuiteBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE;
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE_INCLUDING_VIEWS;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.Feature;
 import com.google.common.testing.SerializableTester;
 import java.util.ArrayList;
@@ -37,7 +36,6 @@ import junit.framework.TestSuite;
  * @author Chris Povirk
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class CollectionTestSuiteBuilder<E>
     extends AbstractCollectionTestSuiteBuilder<CollectionTestSuiteBuilder<E>, E> {
   public static <E> CollectionTestSuiteBuilder<E> using(TestCollectionGenerator<E> generator) {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/ConcurrentMapTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/ConcurrentMapTestSuiteBuilder.java
index 47220b0..272e7ea 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/ConcurrentMapTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/ConcurrentMapTestSuiteBuilder.java
@@ -14,7 +14,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.testers.ConcurrentMapPutIfAbsentTester;
 import com.google.common.collect.testing.testers.ConcurrentMapRemoveTester;
 import com.google.common.collect.testing.testers.ConcurrentMapReplaceEntryTester;
@@ -28,7 +27,6 @@ import java.util.List;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class ConcurrentMapTestSuiteBuilder<K, V> extends MapTestSuiteBuilder<K, V> {
   public static <K, V> ConcurrentMapTestSuiteBuilder<K, V> using(TestMapGenerator<K, V> generator) {
     ConcurrentMapTestSuiteBuilder<K, V> result = new ConcurrentMapTestSuiteBuilder<>();
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/ConcurrentNavigableMapTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/ConcurrentNavigableMapTestSuiteBuilder.java
index cccd06e..a8cbf82 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/ConcurrentNavigableMapTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/ConcurrentNavigableMapTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.util.List;
 
 /**
@@ -25,7 +24,6 @@ import java.util.List;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class ConcurrentNavigableMapTestSuiteBuilder<K, V>
     extends NavigableMapTestSuiteBuilder<K, V> {
 
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/DerivedCollectionGenerators.java b/android/guava-testlib/src/com/google/common/collect/testing/DerivedCollectionGenerators.java
index 3588e85..0d765be 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/DerivedCollectionGenerators.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/DerivedCollectionGenerators.java
@@ -21,7 +21,6 @@ import static com.google.common.collect.testing.Helpers.equal;
 import static com.google.common.collect.testing.Helpers.mapEntry;
 import static java.util.Collections.sort;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -39,7 +38,6 @@ import java.util.SortedSet;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public final class DerivedCollectionGenerators {
   public static class MapEntrySetGenerator<K, V>
       implements TestSetGenerator<Entry<K, V>>, DerivedGenerator {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/DerivedComparable.java b/android/guava-testlib/src/com/google/common/collect/testing/DerivedComparable.java
index 5b0d16f..ec8e072 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/DerivedComparable.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/DerivedComparable.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Simple derived class to verify that we handle generics correctly.
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class DerivedComparable extends BaseComparable {
   public DerivedComparable(String s) {
     super(s);
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/DerivedGenerator.java b/android/guava-testlib/src/com/google/common/collect/testing/DerivedGenerator.java
index d80f5a9..54c025d 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/DerivedGenerator.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/DerivedGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * A generator that relies on a preexisting generator for most of its work. For example, a derived
@@ -29,7 +28,6 @@ import com.google.common.annotations.GwtCompatible;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 public interface DerivedGenerator {
   TestSubjectGenerator<?> getInnerGenerator();
 }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/DerivedTestIteratorGenerator.java b/android/guava-testlib/src/com/google/common/collect/testing/DerivedTestIteratorGenerator.java
index ce0b125..246dc3f 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/DerivedTestIteratorGenerator.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/DerivedTestIteratorGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Iterator;
 
 /**
@@ -24,7 +23,6 @@ import java.util.Iterator;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public final class DerivedTestIteratorGenerator<E>
     implements TestIteratorGenerator<E>, DerivedGenerator {
   private final TestSubjectGenerator<? extends Iterable<E>> collectionGenerator;
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/FeatureSpecificTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/FeatureSpecificTestSuiteBuilder.java
index b629fa9..208b09a 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/FeatureSpecificTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/FeatureSpecificTestSuiteBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static java.util.Collections.disjoint;
 import static java.util.logging.Level.FINER;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.ConflictingRequirementsException;
 import com.google.common.collect.testing.features.Feature;
 import com.google.common.collect.testing.features.FeatureUtil;
@@ -51,7 +50,6 @@ import junit.framework.TestSuite;
  *     information required to parameterize the test.
  * @author George van den Driessche
  */
-@GwtIncompatible
 public abstract class FeatureSpecificTestSuiteBuilder<
     B extends FeatureSpecificTestSuiteBuilder<B, G>, G> {
   @SuppressWarnings("unchecked")
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/Helpers.java b/android/guava-testlib/src/com/google/common/collect/testing/Helpers.java
index 8efafc3..bbdda08 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/Helpers.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/Helpers.java
@@ -21,8 +21,6 @@ import static junit.framework.Assert.assertEquals;
 import static junit.framework.Assert.assertFalse;
 import static junit.framework.Assert.assertTrue;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.io.Serializable;
 import java.lang.reflect.Method;
 import java.util.ArrayList;
@@ -40,7 +38,6 @@ import java.util.Set;
 import junit.framework.Assert;
 import junit.framework.AssertionFailedError;
 
-@GwtCompatible(emulated = true)
 public class Helpers {
   // Clone of Objects.equal
   static boolean equal(Object a, Object b) {
@@ -514,7 +511,7 @@ public class Helpers {
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getMethod(Class<?> clazz, String name) {
     try {
       return clazz.getMethod(name);
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/IteratorFeature.java b/android/guava-testlib/src/com/google/common/collect/testing/IteratorFeature.java
index c447e29..e3dc4f8 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/IteratorFeature.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/IteratorFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.EnumSet;
 import java.util.Iterator;
@@ -30,7 +29,6 @@ import java.util.Set;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 public enum IteratorFeature {
   /** Support for {@link Iterator#remove()}. */
   SUPPORTS_REMOVE,
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/IteratorTester.java b/android/guava-testlib/src/com/google/common/collect/testing/IteratorTester.java
index fdc418a..23c5f99 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/IteratorTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/IteratorTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.Iterator;
 
@@ -83,7 +82,6 @@ import java.util.Iterator;
  * @author Kevin Bourrillion
  * @author Chris Povirk
  */
-@GwtCompatible
 public abstract class IteratorTester<E> extends AbstractIteratorTester<E, Iterator<E>> {
   /**
    * Creates an IteratorTester.
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/ListIteratorTester.java b/android/guava-testlib/src/com/google/common/collect/testing/ListIteratorTester.java
index 126eb86..9f1e7b3 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/ListIteratorTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/ListIteratorTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.ArrayList;
 import java.util.List;
 import java.util.ListIterator;
@@ -34,7 +33,6 @@ import java.util.ListIterator;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 public abstract class ListIteratorTester<E> extends AbstractIteratorTester<E, ListIterator<E>> {
   protected ListIteratorTester(
       int steps,
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/ListTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/ListTestSuiteBuilder.java
index 061e310..7e8df80 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/ListTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/ListTestSuiteBuilder.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.KNOWN
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE;
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE_INCLUDING_VIEWS;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.Feature;
 import com.google.common.collect.testing.testers.CollectionSerializationEqualTester;
@@ -56,7 +55,6 @@ import junit.framework.TestSuite;
  *
  * @author George van den Driessche
  */
-@GwtIncompatible
 public final class ListTestSuiteBuilder<E>
     extends AbstractCollectionTestSuiteBuilder<ListTestSuiteBuilder<E>, E> {
   public static <E> ListTestSuiteBuilder<E> using(TestListGenerator<E> generator) {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/MapInterfaceTest.java b/android/guava-testlib/src/com/google/common/collect/testing/MapInterfaceTest.java
index b8b5c28..47b2e6a 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/MapInterfaceTest.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/MapInterfaceTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing;
 
 import static java.util.Collections.singleton;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.Collections;
@@ -41,7 +40,6 @@ import junit.framework.TestCase;
 // TODO: Add another constructor parameter indicating whether the class under test is ordered, and
 // check the order if so.
 // TODO: Refactor to share code with SetTestBuilder etc.
-@GwtCompatible
 public abstract class MapInterfaceTest<K, V> extends TestCase {
 
   /** A key type that is not assignable to any classes but Object. */
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/MapTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/MapTestSuiteBuilder.java
index 7b8e40a..9bdf468 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/MapTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/MapTestSuiteBuilder.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing;
 
 import static com.google.common.collect.testing.DerivedCollectionGenerators.keySetGenerator;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedCollectionGenerators.MapEntrySetGenerator;
 import com.google.common.collect.testing.DerivedCollectionGenerators.MapValueCollectionGenerator;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -54,7 +53,6 @@ import junit.framework.TestSuite;
  *
  * @author George van den Driessche
  */
-@GwtIncompatible
 public class MapTestSuiteBuilder<K, V>
     extends PerCollectionSizeTestSuiteBuilder<
         MapTestSuiteBuilder<K, V>, TestMapGenerator<K, V>, Map<K, V>, Entry<K, V>> {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/MinimalCollection.java b/android/guava-testlib/src/com/google/common/collect/testing/MinimalCollection.java
index a6ec93d..1f92d82 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/MinimalCollection.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/MinimalCollection.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.AbstractCollection;
 import java.util.Arrays;
 import java.util.Collection;
@@ -28,7 +27,6 @@ import java.util.Iterator;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class MinimalCollection<E> extends AbstractCollection<E> {
   // TODO: expose allow nulls parameter?
 
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/MinimalIterable.java b/android/guava-testlib/src/com/google/common/collect/testing/MinimalIterable.java
index c151c15..61a18b4 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/MinimalIterable.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/MinimalIterable.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.Iterator;
@@ -46,7 +45,6 @@ import java.util.Iterator;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public final class MinimalIterable<E> implements Iterable<E> {
   /** Returns an iterable whose iterator returns the given elements in order. */
   public static <E> MinimalIterable<E> of(E... elements) {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/MinimalSet.java b/android/guava-testlib/src/com/google/common/collect/testing/MinimalSet.java
index 988dd3f..1307170 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/MinimalSet.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/MinimalSet.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -30,7 +29,6 @@ import java.util.Set;
  *
  * @author Regina O'Dell
  */
-@GwtCompatible
 public class MinimalSet<E> extends MinimalCollection<E> implements Set<E> {
 
   @SuppressWarnings("unchecked") // empty Object[] as E[]
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/NavigableMapTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/NavigableMapTestSuiteBuilder.java
index 77a1984..368b0af 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/NavigableMapTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/NavigableMapTestSuiteBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static com.google.common.collect.testing.Helpers.castOrCopyToList;
 import static java.util.Collections.reverse;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedCollectionGenerators.Bound;
 import com.google.common.collect.testing.DerivedCollectionGenerators.ForwardingTestMapGenerator;
 import com.google.common.collect.testing.DerivedCollectionGenerators.SortedMapSubmapTestMapGenerator;
@@ -37,7 +36,6 @@ import junit.framework.TestSuite;
  * Creates, based on your criteria, a JUnit test suite that exhaustively tests a NavigableMap
  * implementation.
  */
-@GwtIncompatible
 public class NavigableMapTestSuiteBuilder<K, V> extends SortedMapTestSuiteBuilder<K, V> {
   public static <K, V> NavigableMapTestSuiteBuilder<K, V> using(
       TestSortedMapGenerator<K, V> generator) {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/NavigableSetTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/NavigableSetTestSuiteBuilder.java
index 38eb56e..962ceae 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/NavigableSetTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/NavigableSetTestSuiteBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static com.google.common.collect.testing.features.CollectionFeature.DESCENDING_VIEW;
 import static com.google.common.collect.testing.features.CollectionFeature.SUBSET_VIEW;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedCollectionGenerators.Bound;
 import com.google.common.collect.testing.DerivedCollectionGenerators.SortedSetSubsetTestSetGenerator;
 import com.google.common.collect.testing.features.Feature;
@@ -37,7 +36,6 @@ import junit.framework.TestSuite;
  * Creates, based on your criteria, a JUnit test suite that exhaustively tests a NavigableSet
  * implementation.
  */
-@GwtIncompatible
 public final class NavigableSetTestSuiteBuilder<E> extends SortedSetTestSuiteBuilder<E> {
   public static <E> NavigableSetTestSuiteBuilder<E> using(TestSortedSetGenerator<E> generator) {
     NavigableSetTestSuiteBuilder<E> builder = new NavigableSetTestSuiteBuilder<E>();
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/OneSizeGenerator.java b/android/guava-testlib/src/com/google/common/collect/testing/OneSizeGenerator.java
index 1b8924c..62b2af8 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/OneSizeGenerator.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/OneSizeGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionSize;
 import java.util.ArrayList;
 import java.util.Arrays;
@@ -28,7 +27,6 @@ import java.util.List;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public final class OneSizeGenerator<T, E> implements OneSizeTestContainerGenerator<T, E> {
   private final TestContainerGenerator<T, E> generator;
   private final CollectionSize collectionSize;
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/OneSizeTestContainerGenerator.java b/android/guava-testlib/src/com/google/common/collect/testing/OneSizeTestContainerGenerator.java
index 7e727cd..a74e040 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/OneSizeTestContainerGenerator.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/OneSizeTestContainerGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionSize;
 import java.util.Collection;
 
@@ -30,7 +29,6 @@ import java.util.Collection;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public interface OneSizeTestContainerGenerator<T, E>
     extends TestSubjectGenerator<T>, TestContainerGenerator<T, E> {
   TestContainerGenerator<T, E> getInnerGenerator();
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/PerCollectionSizeTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/PerCollectionSizeTestSuiteBuilder.java
index c0068b4..2aa0a08 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/PerCollectionSizeTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/PerCollectionSizeTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.Feature;
 import com.google.common.collect.testing.features.FeatureUtil;
@@ -41,7 +40,6 @@ import junit.framework.TestSuite;
  * @see FeatureSpecificTestSuiteBuilder
  * @author George van den Driessche
  */
-@GwtIncompatible
 public abstract class PerCollectionSizeTestSuiteBuilder<
         B extends PerCollectionSizeTestSuiteBuilder<B, G, T, E>,
         G extends TestContainerGenerator<T, E>,
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/Platform.java b/android/guava-testlib/src/com/google/common/collect/testing/Platform.java
index a2c020c..614562a 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/Platform.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/Platform.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Locale;
 
 /**
@@ -26,7 +25,6 @@ import java.util.Locale;
  *
  * @author Hayward Chan
  */
-@GwtCompatible
 final class Platform {
   static <T> T[] clone(T[] array) {
     return array.clone();
